## spdlog 0.16.3

=== CMakeLists.txt ===
#
# Copyright(c) 2015 Ruslan Baratov.
# Distributed under the MIT License (http://opensource.org/licenses/MIT)
#

cmake_minimum_required(VERSION 3.1)
project(spdlog VERSION 0.16.2)
include(CTest)
include(CMakeDependentOption)
include(GNUInstallDirs)

#---------------------------------------------------------------------------------------
# compiler config
#---------------------------------------------------------------------------------------
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
endif()

#---------------------------------------------------------------------------------------
# spdlog target
#---------------------------------------------------------------------------------------
add_library(spdlog INTERFACE)

option(SPDLOG_BUILD_EXAMPLES "Build examples" OFF)
cmake_dependent_option(SPDLOG_BUILD_TESTING
    "Build spdlog tests" ON
    "BUILD_TESTING" OFF
)

target_include_directories(
    spdlog
    INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

set(HEADER_BASE "${CMAKE_CURRENT_SOURCE_DIR}/include")

if(SPDLOG_BUILD_EXAMPLES)
    add_subdirectory(example)
endif()

if(SPDLOG_BUILD_TESTING)
    add_subdirectory(tests)
endif()

#---------------------------------------------------------------------------------------
# Install/export targets and files
#---------------------------------------------------------------------------------------
# set files and directories
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
set(include_install_dir "${CMAKE_INSTALL_INCLUDEDIR}")
set(pkgconfig_install_dir "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
set(version_config "${CMAKE_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${PROJECT_NAME}Config.cmake")
set(pkg_config "${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc")
set(targets_export_name "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

# generate package version file
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

# configure pkg config file
configure_file("cmake/spdlog.pc.in" "${pkg_config}" @ONLY)

# install targets
install(
    TARGETS spdlog
    EXPORT "${targets_export_name}"
    INCLUDES DESTINATION "${include_install_dir}"
)

# install headers
install(
    DIRECTORY "${HEADER_BASE}/${PROJECT_NAME}"
    DESTINATION "${include_install_dir}"
)

# install project version file
install(
    FILES "${version_config}"
    DESTINATION "${config_install_dir}"
)

# install pkg config file
install(
    FILES "${pkg_config}"
    DESTINATION "${pkgconfig_install_dir}"
)

# install project config file
install(
    EXPORT "${targets_export_name}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
    FILE ${project_config}
)

# export build directory config file
export(
    EXPORT ${targets_export_name}
    NAMESPACE "${namespace}"
    FILE ${project_config}
)

# register project in CMake user registry
export(PACKAGE ${PROJECT_NAME})

file(GLOB_RECURSE spdlog_include_SRCS "${HEADER_BASE}/*.h")
add_custom_target(spdlog_headers_for_ide SOURCES ${spdlog_include_SRCS})

=== bench/Makefile ===
CXX	?= g++
CXXFLAGS	= -march=native -Wall -Wextra -pedantic -std=c++11 -pthread -I../include
CXX_RELEASE_FLAGS = -O3 -flto -DNDEBUG


binaries=spdlog-bench spdlog-bench-mt spdlog-async spdlog-null-async boost-bench boost-bench-mt glog-bench glog-bench-mt g2log-async easylogging-bench easylogging-bench-mt

all: $(binaries)

spdlog-bench: spdlog-bench.cpp
	$(CXX) spdlog-bench.cpp -o spdlog-bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
	
spdlog-bench-mt: spdlog-bench-mt.cpp
	$(CXX) spdlog-bench-mt.cpp -o spdlog-bench-mt  $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
	
spdlog-async: spdlog-async.cpp
	$(CXX) spdlog-async.cpp -o spdlog-async  $(CXXFLAGS) $(CXX_RELEASE_FLAGS)


spdlog-null-async: spdlog-null-async.cpp
	$(CXX) spdlog-null-async.cpp -o spdlog-null-async $(CXXFLAGS) $(CXX_RELEASE_FLAGS)

	
	
BOOST_FLAGS	= -DBOOST_LOG_DYN_LINK  -I/usr/include -lboost_log  -lboost_log_setup -lboost_filesystem -lboost_system -lboost_thread -lboost_regex -lboost_date_time -lboost_chrono

boost-bench: boost-bench.cpp
	$(CXX) boost-bench.cpp -o boost-bench $(CXXFLAGS) $(BOOST_FLAGS) $(CXX_RELEASE_FLAGS)
	
boost-bench-mt: boost-bench-mt.cpp
	$(CXX) boost-bench-mt.cpp -o boost-bench-mt $(CXXFLAGS) $(BOOST_FLAGS) $(CXX_RELEASE_FLAGS)	


GLOG_FLAGS = -lglog
glog-bench: glog-bench.cpp
	$(CXX) glog-bench.cpp -o glog-bench $(CXXFLAGS) $(GLOG_FLAGS) $(CXX_RELEASE_FLAGS)
	
glog-bench-mt: glog-bench-mt.cpp
	$(CXX) glog-bench-mt.cpp -o glog-bench-mt $(CXXFLAGS) $(GLOG_FLAGS) $(CXX_RELEASE_FLAGS)	


G2LOG_FLAGS = -I/home/gabi/devel/g2log/g2log/src -L/home/gabi/devel/g2log/g2log -llib_g2logger 
g2log-async: g2log-async.cpp
	$(CXX) g2log-async.cpp -o g2log-async $(CXXFLAGS) $(G2LOG_FLAGS) $(CXX_RELEASE_FLAGS)
	

EASYL_FLAGS = -I../../easylogging/src/
easylogging-bench: easylogging-bench.cpp
	$(CXX) easylogging-bench.cpp -o easylogging-bench $(CXXFLAGS) $(EASYL_FLAGS) $(CXX_RELEASE_FLAGS)
easylogging-bench-mt: easylogging-bench-mt.cpp
	$(CXX) easylogging-bench-mt.cpp -o easylogging-bench-mt $(CXXFLAGS) $(EASYL_FLAGS) $(CXX_RELEASE_FLAGS)	
	
.PHONY: clean

clean:
	rm -f *.o logs/* $(binaries)


rebuild: clean all

=== example/CMakeLists.txt ===
# *************************************************************************/
# * Copyright (c) 2015 Ruslan Baratov.                                    */
# *                                                                       */
# * Permission is hereby granted, free of charge, to any person obtaining */
# * a copy of this software and associated documentation files (the       */
# * "Software"), to deal in the Software without restriction, including   */
# * without limitation the rights to use, copy, modify, merge, publish,   */
# * distribute, sublicense, and/or sell copies of the Software, and to    */
# * permit persons to whom the Software is furnished to do so, subject to */
# * the following conditions:                                             */
# *                                                                       */
# * The above copyright notice and this permission notice shall be        */
# * included in all copies or substantial portions of the Software.       */
# *                                                                       */
# * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       */
# * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    */
# * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.*/
# * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY  */
# * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,  */
# * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE     */
# * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                */
# *************************************************************************/

cmake_minimum_required(VERSION 3.0)
project(SpdlogExamples)

if(TARGET spdlog)
  # Part of the main project
  add_library(spdlog::spdlog ALIAS spdlog)
else()
  # Stand-alone build
  find_package(spdlog CONFIG REQUIRED)
endif()

find_package(Threads)

add_executable(example example.cpp)
target_link_libraries(example spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})

add_executable(benchmark bench.cpp)
target_link_libraries(benchmark spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})

add_executable(multisink multisink.cpp)
target_link_libraries(multisink spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})

enable_testing()
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")
add_test(NAME RunExample COMMAND example)
add_test(NAME RunBenchmark COMMAND benchmark)

=== tests/CMakeLists.txt ===
#
# Tests
#

enable_testing()

find_package(Threads)

# Build Catch unit tests
add_library(catch INTERFACE)
target_include_directories(catch INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

file(GLOB catch_tests LIST_DIRECTORIES false RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp *.h *.hpp)

add_executable(catch_tests ${catch_tests})
target_link_libraries(catch_tests spdlog ${CMAKE_THREAD_LIBS_INIT})
add_test(NAME catch_tests COMMAND catch_tests)
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

=== tests/Makefile ===
CXX	?= g++
ifeq ($(STYLE),printf)
    $(info *** PRINTF STYLE ***)
    CXXFLAGS	=  -DSPDLOG_FMT_PRINTF -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
else
    $(info *** FORMAT STYLE ***)
    CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
endif
LDPFALGS = -pthread

CPP_FILES := $(wildcard *.cpp)
OBJ_FILES := $(addprefix ./,$(notdir $(CPP_FILES:.cpp=.o)))

    
tests: $(OBJ_FILES)    
	$(CXX) $(CXXFLAGS) $(LDPFALGS) -o $@ $^
	mkdir -p logs

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -f tests *.o logs/*.txt     
 
rebuild: clean tests

=== bench/latency/Makefile ===
CXX	?= g++
CXXFLAGS	= -march=native -Wall -std=c++11 -pthread 
CXX_RELEASE_FLAGS = -O2 -DNDEBUG


binaries=spdlog-latency g3log-latency g3log-crush

all: $(binaries)

spdlog-latency: spdlog-latency.cpp
	$(CXX) spdlog-latency.cpp -o spdlog-latency $(CXXFLAGS) $(CXX_RELEASE_FLAGS) -I../../include



g3log-latency: g3log-latency.cpp
	$(CXX) g3log-latency.cpp -o g3log-latency $(CXXFLAGS) $(CXX_RELEASE_FLAGS) -I../../../g3log/src -L. -lg3logger 
		
		
g3log-crush: g3log-crush.cpp
	$(CXX) g3log-crush.cpp -o g3log-crush $(CXXFLAGS) $(CXX_RELEASE_FLAGS) -I../../../g3log/src -L. -lg3logger 
		
	
.PHONY: clean

clean:
	rm -f *.o  *.log $(binaries)


rebuild: clean all

## spdlog 0.11.0

=== debian/changelog ===
spdlog (1:0.11.0-3) unstable; urgency=medium

  * Allow stderr, fixes autopkgtests; fix courtesy Graham Inggs
    <ginggs@debian.org>. (Closes: #854469)
  * Update standards-version to 4.1.1; no changes needed.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Oct 2017 10:30:35 -0700

spdlog (1:0.11.0-2) unstable; urgency=medium

  * Correct URL to upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 05:26:25 -0700

spdlog (1:0.11.0-1) unstable; urgency=medium

  * Switch to correct upstream, increment epoch due to different version
    numbering. Mea culpa!

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 01:30:45 -0700

spdlog (1.12-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Sep 2016 05:52:07 -0700

spdlog (1.11-1) unstable; urgency=medium

  * new upstream release
  * debian/copyright: updated to track latest code movement

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 26 Aug 2016 09:23:31 -0700

spdlog (1.8-1) unstable; urgency=medium

  * new upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 May 2016 02:52:07 -0700

spdlog (1.7-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: increment to 3.9.8
  * Match upstream's switch to cmake

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 May 2016 11:06:05 -0700

spdlog (1.6-2) unstable; urgency=medium

  * Fix VCS-Git URL.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 28 Feb 2016 17:10:41 -0800

spdlog (1.6-1) unstable; urgency=medium

  * Update to version 1.6
  * Ship examples, tests. Run the tests during build time and added
    autopkgtest hook.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 30 Jan 2016 05:33:59 -0800

spdlog (1.4-1) unstable; urgency=low

  * Initial release (Closes: #800337)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Fri, 18 Sep 2015 20:31:46 -0700

=== debian/control ===
Source: spdlog
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/spdlog.git
Homepage: https://github.com/gabime/spdlog

Package: libspdlog-dev
Architecture: any
Depends: ${misc:Depends}
Description: Very fast, header only, C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.

## spdlog 0.14.0

=== debian/changelog ===
spdlog (1:0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #882606
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 02 Dec 2017 08:06:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake
 Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git

## spdlog 0.16.3

=== debian/changelog ===
spdlog (1:0.16.3-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 09:02:28 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                cmake
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/spdlog.git
 Homepage: https://github.com/gabime/spdlog

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	rm -f example/logs/.gitignore
	dh_auto_install
	rm debian/libspdlog-dev/usr/include/spdlog/fmt/bundled/LICENSE.rst

override_dh_auto_test:
	cd tests && ${MAKE} tests clean
	dh_auto_test

=== debian/watch ===
version=3
https://github.com/gabime/spdlog/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## spdlog 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 0.16.2)
+project(spdlog VERSION 0.17.0 LANGUAGES CXX)
 include(CTest)
 include(CMakeDependentOption)
 include(GNUInstallDirs)
@@ -16,7 +16,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
-    set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
+    set(CMAKE_CXX_FLAGS "-Wall -O3 ${CMAKE_CXX_FLAGS}")
 endif()
 
 #---------------------------------------------------------------------------------------
@@ -73,7 +73,6 @@
 install(
     TARGETS spdlog
     EXPORT "${targets_export_name}"
-    INCLUDES DESTINATION "${include_install_dir}"
 )
 
 # install headers

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 # * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                */
 # *************************************************************************/
 
-cmake_minimum_required(VERSION 3.0)
-project(SpdlogExamples)
+cmake_minimum_required(VERSION 3.1)
+project(SpdlogExamples CXX)
 
 if(TARGET spdlog)
   # Part of the main project
@@ -32,16 +32,16 @@
   find_package(spdlog CONFIG REQUIRED)
 endif()
 
-find_package(Threads)
+find_package(Threads REQUIRED)
 
 add_executable(example example.cpp)
-target_link_libraries(example spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})
+target_link_libraries(example spdlog::spdlog Threads::Threads)
 
 add_executable(benchmark bench.cpp)
-target_link_libraries(benchmark spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})
+target_link_libraries(benchmark spdlog::spdlog Threads::Threads)
 
 add_executable(multisink multisink.cpp)
-target_link_libraries(multisink spdlog::spdlog ${CMAKE_THREAD_LIBS_INIT})
+target_link_libraries(multisink spdlog::spdlog Threads::Threads)
 
 enable_testing()
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

=== tests/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CXX	?= g++
 ifeq ($(STYLE),printf)
     $(info *** PRINTF STYLE ***)
-    CXXFLAGS	=  -DSPDLOG_FMT_PRINTF -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
+    CXXFLAGS	=  -DSPDLOG_FMT_PRINTF -Wall  -pedantic -std=c++11 -pthread -O3 -I../include
 else
     $(info *** FORMAT STYLE ***)
-    CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O2 -I../include
+    CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O3 -I../include
 endif
 LDPFALGS = -pthread

=== debian/changelog ===
spdlog (1:0.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 21:20:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/spdlog.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/spdlog
+Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
 
 Package: libspdlog-dev

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	rm -f example/logs/.gitignore
 	dh_auto_install
 	rm debian/libspdlog-dev/usr/include/spdlog/fmt/bundled/LICENSE.rst
+	find debian -name .gitignore -delete
 
 override_dh_auto_test:
 	cd tests && ${MAKE} tests clean

## spdlog 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,27 +4,47 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 0.17.0 LANGUAGES CXX)
+project(spdlog VERSION 1.1.0 LANGUAGES CXX)
 include(CTest)
 include(CMakeDependentOption)
 include(GNUInstallDirs)
+
+#---------------------------------------------------------------------------------------
+# set default build to release
+#---------------------------------------------------------------------------------------
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose Release or Debug" FORCE)
+endif()
+
+message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
 
 #---------------------------------------------------------------------------------------
 # compiler config
 #---------------------------------------------------------------------------------------
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
-    set(CMAKE_CXX_FLAGS "-Wall -O3 ${CMAKE_CXX_FLAGS}")
+    add_compile_options("-Wall")
+    add_compile_options("-Wextra")
+    add_compile_options("-pedantic")
 endif()
+
+#---------------------------------------------------------------------------------------
+# address sanitizers check
+#---------------------------------------------------------------------------------------
+include(cmake/sanitizers.cmake)
 
 #---------------------------------------------------------------------------------------
 # spdlog target
 #---------------------------------------------------------------------------------------
 add_library(spdlog INTERFACE)
+add_library(spdlog::spdlog ALIAS spdlog)
 
-option(SPDLOG_BUILD_EXAMPLES "Build examples" OFF)
+option(SPDLOG_BUILD_EXAMPLES "Build examples" ON)
+option(SPDLOG_BUILD_BENCH "Build benchmarks" ON)
+
 cmake_dependent_option(SPDLOG_BUILD_TESTING
     "Build spdlog tests" ON
     "BUILD_TESTING" OFF
@@ -45,6 +65,10 @@
 
 if(SPDLOG_BUILD_TESTING)
     add_subdirectory(tests)
+endif()
+
+if(SPDLOG_BUILD_BENCH)
+    add_subdirectory(bench)
 endif()
 
 #---------------------------------------------------------------------------------------

=== example/Makefile ===
CXX	?= g++
CXX_FLAGS = -Wall -Wextra -pedantic -std=c++11 -pthread -I../include -fmax-errors=1
CXX_RELEASE_FLAGS = -O3 -march=native
CXX_DEBUG_FLAGS= -g

all:	example 
debug:	example-debug

example: example.cpp
	$(CXX) example.cpp -o example $(CXX_FLAGS) $(CXX_RELEASE_FLAGS) $(CXXFLAGS)


example-debug: example.cpp
	$(CXX) example.cpp -o example-debug $(CXX_FLAGS) $(CXX_DEBUG_FLAGS) $(CXXFLAGS)

clean:
	rm -f *.o logs/*.txt example example-debug


rebuild: clean all
rebuild-debug: clean debug

=== tests/CMakeLists.txt ===
project(spdlog-utests CXX)

find_package(Threads REQUIRED)

set(SPDLOG_UTESTS_SOURCES
    errors.cpp
    file_helper.cpp
    file_log.cpp
    test_misc.cpp
    test_pattern_formatter.cpp
    test_async.cpp
    includes.h
    registry.cpp
    test_macros.cpp
    utils.cpp
    utils.h
    main.cpp
    test_mpmc_q.cpp
    test_sink.h
)

add_executable(${PROJECT_NAME} ${SPDLOG_UTESTS_SOURCES})
target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads)
target_link_libraries(${PROJECT_NAME} PRIVATE spdlog::spdlog)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

enable_testing()
add_test(NAME ${PROJECT_NAME} COMMAND ${PROJECT_NAME})

=== tests/Makefile ===
CXX	?= g++
CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O3 -I../include -fmax-errors=1
LDPFALGS = -pthread

CPP_FILES := $(wildcard *.cpp)
OBJ_FILES := $(addprefix ./,$(notdir $(CPP_FILES:.cpp=.o)))

    
tests: $(OBJ_FILES)    
	$(CXX) $(CXXFLAGS) $(LDPFALGS) -o $@ $^
	mkdir -p logs

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -f tests *.o logs/*.txt     
 
rebuild: clean tests

=== debian/changelog ===
spdlog (1:1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop debian/gdb.conf (specifying only defaults)
  * Fix build on several architectures (Thanks for the patch to
    Adrian Bunk <bunk@debian.org>)
    Closes: #909938

 -- Andreas Tille <tille@debian.org>  Mon, 01 Oct 2018 08:31:40 +0200

spdlog (1:1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #909197
  * Standards-Version: 4.2.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 21:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog

## spdlog 1.2.0

=== bench/CMakeLists.txt ===
# *************************************************************************/
# * Copyright (c) 2015 Ruslan Baratov.                                    */
# *                                                                       */
# * Permission is hereby granted, free of charge, to any person obtaining */
# * a copy of this software and associated documentation files (the       */
# * "Software"), to deal in the Software without restriction, including   */
# * without limitation the rights to use, copy, modify, merge, publish,   */
# * distribute, sublicense, and/or sell copies of the Software, and to    */
# * permit persons to whom the Software is furnished to do so, subject to */
# * the following conditions:                                             */
# *                                                                       */
# * The above copyright notice and this permission notice shall be        */
# * included in all copies or substantial portions of the Software.       */
# *                                                                       */
# * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       */
# * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    */
# * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.*/
# * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY  */
# * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,  */
# * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE     */
# * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                */
# *************************************************************************/

cmake_minimum_required(VERSION 3.1)
project(SpdlogBench CXX)

if(NOT TARGET spdlog)
  # Stand-alone build
  find_package(spdlog CONFIG REQUIRED)
endif()

find_package(Threads REQUIRED)

add_executable(bench bench.cpp)
target_link_libraries(bench spdlog::spdlog Threads::Threads)

add_executable(async_bench async_bench.cpp)
target_link_libraries(async_bench spdlog::spdlog Threads::Threads)

add_executable(latency latency.cpp)
target_link_libraries(latency spdlog::spdlog Threads::Threads)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

=== bench/Makefile ===
CXX	?= g++
CXXFLAGS	= -march=native -Wall -Wextra -pedantic -std=c++11 -pthread -I../include -fmax-errors=1
CXX_RELEASE_FLAGS = -Ofast -flto -Wl,--no-as-needed


binaries=bench latency async_bench

all: $(binaries)

bench: bench.cpp
	$(CXX) bench.cpp -o bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
	

async_bench: async_bench.cpp
	$(CXX) async_bench.cpp -o async_bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
	
	
latency: latency.cpp
	$(CXX) latency.cpp -o latency $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
				

.PHONY: clean

clean:
	rm -f *.o logs/* $(binaries)

rebuild: clean all

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,7 @@
 cmake_minimum_required(VERSION 3.1)
 project(SpdlogExamples CXX)
 
-if(TARGET spdlog)
-  # Part of the main project
-  add_library(spdlog::spdlog ALIAS spdlog)
-else()
+if(NOT TARGET spdlog)
   # Stand-alone build
   find_package(spdlog CONFIG REQUIRED)
 endif()
@@ -37,13 +34,10 @@
 add_executable(example example.cpp)
 target_link_libraries(example spdlog::spdlog Threads::Threads)
 
-add_executable(benchmark bench.cpp)
-target_link_libraries(benchmark spdlog::spdlog Threads::Threads)
-
 add_executable(multisink multisink.cpp)
 target_link_libraries(multisink spdlog::spdlog Threads::Threads)
 
+file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")
+
 enable_testing()
-file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")
-add_test(NAME RunExample COMMAND example)
-add_test(NAME RunBenchmark COMMAND benchmark)
+add_test(NAME example COMMAND example)

=== debian/changelog ===
spdlog (1:1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 17 Oct 2018 03:10:17 -0700

## spdlog 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 1.1.0 LANGUAGES CXX)
+project(spdlog VERSION 1.2.0 LANGUAGES CXX)
 include(CTest)
 include(CMakeDependentOption)
 include(GNUInstallDirs)
@@ -28,7 +28,10 @@
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
     add_compile_options("-Wall")
     add_compile_options("-Wextra")
+    add_compile_options("-Wconversion")
     add_compile_options("-pedantic")
+    add_compile_options("-Wfatal-errors")
+    
 endif()
 
 #---------------------------------------------------------------------------------------
@@ -42,11 +45,17 @@
 add_library(spdlog INTERFACE)
 add_library(spdlog::spdlog ALIAS spdlog)
 
-option(SPDLOG_BUILD_EXAMPLES "Build examples" ON)
-option(SPDLOG_BUILD_BENCH "Build benchmarks" ON)
+# Check if spdlog is being used directly or via add_subdirectory
+set(SPDLOG_MASTER_PROJECT OFF)
+if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
+  set(SPDLOG_MASTER_PROJECT ON)
+endif()
+
+option(SPDLOG_BUILD_EXAMPLES "Build examples" ${SPDLOG_MASTER_PROJECT})
+option(SPDLOG_BUILD_BENCH "Build benchmarks" ${SPDLOG_MASTER_PROJECT})
 
 cmake_dependent_option(SPDLOG_BUILD_TESTING
-    "Build spdlog tests" ON
+    "Build spdlog tests" ${SPDLOG_MASTER_PROJECT}
     "BUILD_TESTING" OFF
 )

=== example/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXX	?= g++
-CXX_FLAGS = -Wall -Wextra -pedantic -std=c++11 -pthread -I../include -fmax-errors=1
+CXX_FLAGS = -Wall -Wextra -pedantic -std=c++11 -pthread -I../include -fmax-errors=1 -Wconversion
 CXX_RELEASE_FLAGS = -O3 -march=native
 CXX_DEBUG_FLAGS= -g

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
     main.cpp
     test_mpmc_q.cpp
     test_sink.h
-)
+    test_fmt_helper.cpp)
 
 add_executable(${PROJECT_NAME} ${SPDLOG_UTESTS_SOURCES})
 target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads)

=== debian/changelog ===
spdlog (1:1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 28 Nov 2018 23:54:29 -0800

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
+  export DEB_LDFLAGS_MAINT_APPEND=-latomic
+endif
 
 %:
 	dh $@
@@ -10,5 +14,7 @@
 	find debian -name .gitignore -delete
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd tests && ${MAKE} tests clean
 	dh_auto_test
+endif

## spdlog 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 1.2.0 LANGUAGES CXX)
-include(CTest)
+project(spdlog VERSION 1.3.0 LANGUAGES CXX)
 include(CMakeDependentOption)
 include(GNUInstallDirs)
 
@@ -53,11 +52,12 @@
 
 option(SPDLOG_BUILD_EXAMPLES "Build examples" ${SPDLOG_MASTER_PROJECT})
 option(SPDLOG_BUILD_BENCH "Build benchmarks" ${SPDLOG_MASTER_PROJECT})
+option(SPDLOG_BUILD_TESTS "Build tests" ${SPDLOG_MASTER_PROJECT})
+option(SPDLOG_FMT_EXTERNAL "Use external fmt library instead of bundled" OFF)
 
-cmake_dependent_option(SPDLOG_BUILD_TESTING
-    "Build spdlog tests" ${SPDLOG_MASTER_PROJECT}
-    "BUILD_TESTING" OFF
-)
+if(SPDLOG_FMT_EXTERNAL)
+    find_package(fmt REQUIRED CONFIG)
+endif()
 
 target_include_directories(
     spdlog
@@ -66,13 +66,19 @@
     "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
 )
 
+if(SPDLOG_FMT_EXTERNAL)
+    target_compile_definitions(spdlog INTERFACE SPDLOG_FMT_EXTERNAL)
+    target_link_libraries(spdlog INTERFACE fmt::fmt)
+endif()
+
 set(HEADER_BASE "${CMAKE_CURRENT_SOURCE_DIR}/include")
 
 if(SPDLOG_BUILD_EXAMPLES)
     add_subdirectory(example)
 endif()
 
-if(SPDLOG_BUILD_TESTING)
+if(SPDLOG_BUILD_TESTS)
+    include(CTest)
     add_subdirectory(tests)
 endif()
 
@@ -88,7 +94,8 @@
 set(include_install_dir "${CMAKE_INSTALL_INCLUDEDIR}")
 set(pkgconfig_install_dir "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 set(version_config "${CMAKE_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake")
-set(project_config "${PROJECT_NAME}Config.cmake")
+set(project_config "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake")
+set(targets_config "${PROJECT_NAME}Targets.cmake")
 set(pkg_config "${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc")
 set(targets_export_name "${PROJECT_NAME}Targets")
 set(namespace "${PROJECT_NAME}::")
@@ -101,6 +108,8 @@
 
 # configure pkg config file
 configure_file("cmake/spdlog.pc.in" "${pkg_config}" @ONLY)
+# configure spdlogConfig.cmake file
+configure_file("cmake/Config.cmake.in" "${project_config}" @ONLY)
 
 # install targets
 install(
@@ -114,9 +123,9 @@
     DESTINATION "${include_install_dir}"
 )
 
-# install project version file
+# install project config and version file
 install(
-    FILES "${version_config}"
+    FILES "${project_config}" "${version_config}"
     DESTINATION "${config_install_dir}"
 )
 
@@ -126,19 +135,19 @@
     DESTINATION "${pkgconfig_install_dir}"
 )
 
-# install project config file
+# install targets config file
 install(
     EXPORT "${targets_export_name}"
     NAMESPACE "${namespace}"
     DESTINATION "${config_install_dir}"
-    FILE ${project_config}
+    FILE ${targets_config}
 )
 
-# export build directory config file
+# export build directory targets file
 export(
     EXPORT ${targets_export_name}
     NAMESPACE "${namespace}"
-    FILE ${project_config}
+    FILE ${targets_config}
 )
 
 # register project in CMake user registry

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,12 @@
 target_link_libraries(async_bench spdlog::spdlog Threads::Threads)
 
 add_executable(latency latency.cpp)
+set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
 target_link_libraries(latency spdlog::spdlog Threads::Threads)
 
+
+add_executable(formatter-bench formatter-bench.cpp)
+set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
+target_link_libraries(formatter-bench spdlog::spdlog Threads::Threads)
+
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

=== debian/changelog ===
spdlog (1:1.3.0-2) unstable; urgency=medium

  * No point in building benchmarks, causes issues on some unofficial
    archs.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 12 Jan 2019 09:59:25 -0800

spdlog (1:1.3.0-1) unstable; urgency=medium

  * debian/control: Mark us as Multi-Arch: same.
  * New upstream version
  * Build the benchmark.
  * Standards-Version: 4.3.0, no changes needed

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 12 Jan 2019 06:52:15 -0800

## spdlog 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 
 cmake_minimum_required(VERSION 3.1)
-project(spdlog VERSION 1.3.0 LANGUAGES CXX)
+project(spdlog VERSION 1.3.1 LANGUAGES CXX)
 include(CMakeDependentOption)
 include(GNUInstallDirs)

=== bench/CMakeLists.txt ===
--- 
+++ 
@@ -30,20 +30,19 @@
 endif()
 
 find_package(Threads REQUIRED)
+find_package(benchmark CONFIG REQUIRED)
 
 add_executable(bench bench.cpp)
-target_link_libraries(bench spdlog::spdlog Threads::Threads)
+target_link_libraries(bench PRIVATE spdlog::spdlog Threads::Threads)
 
 add_executable(async_bench async_bench.cpp)
-target_link_libraries(async_bench spdlog::spdlog Threads::Threads)
+target_link_libraries(async_bench PRIVATE spdlog::spdlog Threads::Threads)
 
 add_executable(latency latency.cpp)
-set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
-target_link_libraries(latency spdlog::spdlog Threads::Threads)
+target_link_libraries(latency PRIVATE benchmark::benchmark spdlog::spdlog Threads::Threads)
 
 
 add_executable(formatter-bench formatter-bench.cpp)
-set(CMAKE_CXX_STANDARD_LIBRARIES -lbenchmark)
-target_link_libraries(formatter-bench spdlog::spdlog Threads::Threads)
+target_link_libraries(formatter-bench PRIVATE benchmark::benchmark spdlog::spdlog Threads::Threads)
 
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/logs")

=== bench/Makefile ===
CXX	?= g++
CXXFLAGS	= -march=native -Wall -Wextra -pedantic -Wconversion -std=c++11 -pthread -I../include -fmax-errors=1
CXX_RELEASE_FLAGS = -O3 -flto -Wl,--no-as-needed


binaries=bench async_bench latency formatter-bench

all: $(binaries)

bench: bench.cpp
	$(CXX) bench.cpp -o bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)


async_bench: async_bench.cpp
	$(CXX) async_bench.cpp -o async_bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)


latency: latency.cpp
	$(CXX) latency.cpp -o latency $(CXXFLAGS) $(CXX_RELEASE_FLAGS) -lbenchmark


formatter-bench: formatter-bench.cpp
	$(CXX) formatter-bench.cpp -o formatter-bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS) -lbenchmark


.PHONY: clean

clean:
	rm -f *.o logs/* latecy_logs $(binaries)

rebuild: clean all

=== example/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,13 @@
 find_package(Threads REQUIRED)
 
 add_executable(example example.cpp)
-target_link_libraries(example spdlog::spdlog Threads::Threads)
+if(CMAKE_SYSTEM_NAME STREQUAL "Android")
+    find_library(log-lib log)
+    target_link_libraries(example spdlog::spdlog Threads::Threads log)
+else()
+    target_link_libraries(example spdlog::spdlog Threads::Threads)
+endif()
+
 
 add_executable(multisink multisink.cpp)
 target_link_libraries(multisink spdlog::spdlog Threads::Threads)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 find_package(Threads REQUIRED)
 
 set(SPDLOG_UTESTS_SOURCES
-    errors.cpp
-    file_helper.cpp
-    file_log.cpp
+    test_errors.cpp
+    test_file_helper.cpp
+    test_file_logging.cpp
     test_misc.cpp
     test_pattern_formatter.cpp
     test_async.cpp
     includes.h
-    registry.cpp
+    test_registry.cpp
     test_macros.cpp
     utils.cpp
     utils.h

=== tests/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXX	?= g++
-CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -O3 -I../include -fmax-errors=1
+CXXFLAGS	=  -Wall  -pedantic -std=c++11 -pthread -Wconversion -O3 -I../include -fmax-errors=1
 LDPFALGS = -pthread
 
 CPP_FILES := $(wildcard *.cpp)

=== debian/changelog ===
spdlog (1:1.3.1-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 1:1.1.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 10 Oct 2018 00:49:48 +0000]
  * use libatomic on armhf too for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 25 Jan 2019 23:41:22 +0000

spdlog (1:1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 21 Jan 2019 08:15:35 -0800

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
 
 Package: libspdlog-dev
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}
 Description: Very fast, header only, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLES=ON \
		-DSPDLOG_BUILD_BENCH=OFF \
		-DSPDLOG_BUILD_TESTS=OFF

override_dh_auto_install:
	rm -f example/logs/.gitignore
	dh_auto_install
	rm debian/libspdlog-dev/usr/include/spdlog/fmt/bundled/LICENSE.rst
	find debian -name .gitignore -delete

## spdlog 1.4

=== example/Makefile ===
CXX	?= g++
CXXFLAGS	= -march=native -Wall -Wshadow -Wextra -pedantic -std=c++11 -pthread -Wl,--no-as-needed  -I../include 
CXX_RELEASE_FLAGS = -O3 -flto
CXX_DEBUG_FLAGS= -g 


all:	example bench
debug:	example-debug bench-debug

example: example.cpp
	$(CXX) example.cpp -o example $(CXXFLAGS) $(CXX_RELEASE_FLAGS)

bench: bench.cpp
	$(CXX) bench.cpp -o bench $(CXXFLAGS) $(CXX_RELEASE_FLAGS)
	

example-debug: example.cpp
	$(CXX) example.cpp -o example-debug $(CXXFLAGS) $(CXX_DEBUG_FLAGS)
	
bench-debug: bench.cpp
	$(CXX) bench.cpp -o bench-debug $(CXXFLAGS) $(CXX_DEBUG_FLAGS)	



clean:
	rm -f *.o logs/*.txt example example-debug bench bench-debug 


rebuild: clean all
rebuild-debug: clean debug

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: spdlog
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               cmake
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/med-team/spdlog
-Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
-Homepage: https://github.com/gabime/spdlog
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/spdlog.git
+Vcs-Git: git://anonscm.debian.org/debian-med/spdlog.git
+Homepage: https://github.com/COMBINE-lab/spdlog
 
 Package: libspdlog-dev
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Very fast, header only, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat
